#include<iostream>

using namespace std;

int main(){
	int n;
	cin >> n;
	int x[n];
	for(int i=0 ; i<n ; i++){
		cin >> x[i];
	}
	int y[n];
	for(int i=0 ; i<n ; i++){
		cin >> y[i];
	}
	int z[n];
	for(int i=0 ; i<n ; i++){
		cin >> z[i];
	}
	int br = 0;

	for(int i=0 ; i<n ; i++){
		for(int j=0 ; j<n ; j++){
			if(y[j] == x[i]){
				for(int m=0 ; m<n ; m++){
					if(z[m] == j+1)
						br++;
				}
			}
		}
	}
	
	cout << br;
}